Package com.smartgwt.client.types

# Enum PreserveOpenState

java.lang.Object
java.lang.Enum<PreserveOpenState>
com.smartgwt.client.types.PreserveOpenState

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<PreserveOpenState>`, `Constable`

public enum PreserveOpenState extends Enum<PreserveOpenState> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  Like "whenUnique" but automatically preserves openState even if nodes cannot be uniquely identified.
  `NEVER`
  Never try to automatically preserve the openState.
  `WHENUNIQUE`
  If either the `Tree.idField` or `Tree.nameProperty` has been set on the Tree, (so that nodes have either unique ids or unique paths), preserve openState by respecting the `Tree.openProperty` set by the server, then applying the openState.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static PreserveOpenState`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PreserveOpenState[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEVER

    public static final PreserveOpenState NEVER
    Never try to automatically preserve the openState. Nodes will be initially open or closed based solely on the `Tree.openProperty` optionally set by the server.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "never".

  - ### WHENUNIQUE

    public static final PreserveOpenState WHENUNIQUE
    If either the `Tree.idField` or `Tree.nameProperty` has been set on the Tree, (so that nodes have either unique ids or unique paths), preserve openState by respecting the `Tree.openProperty` set by the server, then applying the openState.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "whenUnique".

  - ### ALWAYS

    public static final PreserveOpenState ALWAYS
    Like "whenUnique" but automatically preserves openState even if nodes cannot be uniquely identified. This means that nodes at the same tree positions (eg 3rd child of 5th node under root) will be placed in the same openState, regardless of whether that node has anything to do with the node that previously was at that tree position.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "always".

- ## Method Details

  - ### values

    public static PreserveOpenState[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PreserveOpenState valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`